# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/phy/spacemit,usb2-phy.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: SpacemiT K1 SoC USB 2.0 PHY

maintainers:
  - Ze Huang <huang.ze@linux.dev>

properties:
  compatible:
    const: spacemit,k1-usb2-phy

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  "#phy-cells":
    const: 0

required:
  - compatible
  - reg
  - clocks
  - "#phy-cells"

additionalProperties: false

examples:
  - |
    usb-phy@c09c0000 {
        compatible = "spacemit,k1-usb2-phy";
        reg = <0xc09c0000 0x200>;
        clocks = <&syscon_apmu 15>;
        #phy-cells = <0>;
    };
